%define _prefix /scisoft
%define debug_package %{nil}

Name:           scisoft-fv
Version:        5.4
Release:        1%{?dist}
Summary:        Astronomical Data Visualization Application
Distribution:   Scisoft
Group:          Applications/Engineering
License:        NASA/GSFC
URL:            http://heasarc.gsfc.nasa.gov/ftools/fv
Source0:        http://heasarc.gsfc.nasa.gov/FTP/software/lheasoft/fv/fv%{version}_src.tar.gz
Source1:        fv.src
Patch0:         fv_Et_AppInit.c.patch
Patch1:         fv_init.tcl.patch

BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  libX11-devel
BuildRequires:  libXft-devel
BuildRequires:  libXt-devel
BuildRequires:  libpng-devel
BuildRequires:  ncurses-devel
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  python-devel

%description
fv is a FITS file viewer and editor developed at the High Energy
Astrophysics Science Archive Research Center (HEASARC) at NASA/ GSFC.

%prep
%setup -q -n fv%{version}
%patch0 -p0
%patch1 -p0

%build
cd BUILD_DIR
./configure --enable-fv-standalone --enable-png
make
cd ../ftools/guis/fv/unix
../../../BUILD_DIR/hmake fv-tklib
../../../BUILD_DIR/hmake mktclapp HD_CTASK=mktclapp \
    HD_CTASK_SRC_c=mktclapp.c HD_CFLAGS="" LDFLAGS_C="" HD_CLIBS=""
./mktclapp -f appinit.mta -header > fvexec.h
./mktclapp -f appinit.mta > fvexec.c
../../../BUILD_DIR/hmake
../../../BUILD_DIR/hmake fvpkg

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}%{_datadir}/fv%{version}
cp -r ftools/guis/fv/unix/fv%{version}/* %{buildroot}%{_datadir}/fv%{version}/
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/fv
sed -i "s|SCISOFT_LIB_MARKER|%{_datadir}/fv%{version}|g" %{buildroot}%{_bindir}/fv

%files
%dir %{_prefix}
%docdir %{_datadir}/fv%{version}/doc
%{_datadir}
%{_bindir}

%defattr(-,root,root,-)

%changelog
* Wed Feb 14 2018 Artur Szostak <aszostak@partner.eso.org> 5.4-2
- Switching to using standard macros for directory locations.
- Fixing missing directory declarations in the files section to properly cleanup
  after uninstallation.

* Fri May 5 2017 Artur Szostak <aszostak@partner.eso.org> 5.4-1
- Updating to version 5.4 and performing a real compilation from source code.

* Fri Oct 18 2013 Carlos Guirao
- Integration for scisoft 8
